Docs

Create a transaction template

POST /api/v1/programmatic/transaction-templates

POST/api/v1/programmatic/transaction-templates
Transaction Templatesv1transaction_templates:create

Creates a user-saved transaction template in the PAT workspace.

Parameters

NameInType Description
Idempotency-KeyheaderstringRequired Unique 16–128 character retry key. <Idempotency-Key>

Request body

application/json
{
  "direction": "expense",
  "name": "Lunch",
  "source_wallet_id": "<asset-account-id>",
  "amount_minor": "1250",
  "currency_code": "USD"
}

Code examples

curl --request POST \
  --url 'https://api.tetri.app/api/v1/programmatic/transaction-templates' \
  --header 'Authorization: Bearer $TETRI_API_TOKEN' \
  --header 'Idempotency-Key: <Idempotency-Key>' \
  --header 'Content-Type: application/json' \
  --data '{ "direction": "expense", "name": "Lunch", "source_wallet_id": "<asset-account-id>", "amount_minor": "1250", "currency_code": "USD" }'

Responses

201Transaction template created.
400The request payload or parameters are invalid.
401The access token is missing, invalid, expired, or revoked.
403The token does not have the required scope or workspace access.
409The idempotency key conflicts with an earlier request.
429The credential has exceeded its request limit.